summaryrefslogtreecommitdiffstats
path: root/system/xwiimote
diff options
context:
space:
mode:
author pomfland <pomfland@tfwno.gf>2015-07-09 06:58:51 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-09 06:58:51 +0700
commit516c08f9d5f872aac18154971b1e15d846b96437 (patch)
tree7721fa8a9737538cb3b5dbf3d344368d8c30591b /system/xwiimote
parent7dc045b1c237841a01e97ec503aacb54231fbe8f (diff)
downloadslackbuilds-516c08f9d5f872aac18154971b1e15d846b96437.tar.gz
slackbuilds-516c08f9d5f872aac18154971b1e15d846b96437.tar.xz
system/xwiimote: Added (hid-wiimote testing and helper library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/xwiimote')
-rw-r--r--system/xwiimote/README8
-rw-r--r--system/xwiimote/slack-desc18
-rw-r--r--system/xwiimote/xwiimote.SlackBuild102
-rw-r--r--system/xwiimote/xwiimote.info10
4 files changed, 138 insertions, 0 deletions
diff --git a/system/xwiimote/README b/system/xwiimote/README
new file mode 100644
index 0000000000..ce35cd3385
--- /dev/null
+++ b/system/xwiimote/README
@@ -0,0 +1,8 @@
+xwiimote is a library and a userspace tool for testing Wiimote
+functionality when connected with kernel's hid-wiimote device driver
+(which also is part of the project and was included in the kernel
+sources since version 3.1)
+
+It differs from cwiid in that it uses existing kernel drivers to
+interface with the device and does not need userspace daemons to
+work.
diff --git a/system/xwiimote/slack-desc b/system/xwiimote/slack-desc
new file mode 100644
index 0000000000..b4243410fe
--- /dev/null
+++ b/system/xwiimote/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xwiimote: xwiimote (hid-wiimote testing tool and helper library)
+xwiimote:
+xwiimote: xwiimote is a library and a userspace tool for testing Wiimote
+xwiimote: functionality when connected with kernel's hid-wiimote device driver
+xwiimote: (which also is part of the project and was included in the kernel
+xwiimote: sources since version 3.1)
+xwiimote:
+xwiimote:
+xwiimote:
+xwiimote:
diff --git a/system/xwiimote/xwiimote.SlackBuild b/system/xwiimote/xwiimote.SlackBuild
new file mode 100644
index 0000000000..3c14cb0a43
--- /dev/null
+++ b/system/xwiimote/xwiimote.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for xwiimote
+
+# Copyright 2015 pomfland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xwiimote
+VERSION=${VERSION:-2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+SLKCFLAGS="-O2 -fPIC"
+LIBDIRSUFFIX="64"
+else
+SLKCFLAGS="-O2"
+LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+-o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+--prefix=/usr \
+--libdir=/usr/lib${LIBDIRSUFFIX} \
+--sysconfdir=/etc \
+--localstatedir=/var \
+--mandir=/usr/man \
+--docdir=/usr/doc/$PRGNAM-$VERSION \
+--enable-static=no \
+--build=$ARCH-slackware-linux
+
+# update doxygen config since it's obsolete in this release
+doxygen -u doc/Doxyfile
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/xwiimote/xwiimote.info b/system/xwiimote/xwiimote.info
new file mode 100644
index 0000000000..82d24e1eb1
--- /dev/null
+++ b/system/xwiimote/xwiimote.info
@@ -0,0 +1,10 @@
+PRGNAM="xwiimote"
+VERSION="2"
+HOMEPAGE="https://github.com/dvdhrm/xwiimote"
+DOWNLOAD="https://github.com/dvdhrm/xwiimote/releases/download/xwiimote-2/xwiimote-2.tar.xz"
+MD5SUM="763f2c1acedfea9c8cee448a674efb76"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="pomfland"
+EMAIL="pomfland@tfwno.gf"